summaryrefslogtreecommitdiffstats
path: root/network/users-agent/users-agent.SlackBuild
diff options
context:
space:
mode:
author Christopher Walker2013-05-31 18:53:30 +0200
committer Robby Workman2013-06-04 07:11:08 +0200
commit7b251fe9df3708c1590b031af0daff2378c95dd3 (patch)
treeb7ed4ffa3245f028016f4330ef2c97498f5c921f /network/users-agent/users-agent.SlackBuild
parent87bc86f59969ec4fade88658bbde8d7739d002d6 (diff)
downloadslackbuilds-7b251fe9df3708c1590b031af0daff2378c95dd3.tar.gz
network/users-agent: Added (Jabber User Directory)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network/users-agent/users-agent.SlackBuild')
-rw-r--r--network/users-agent/users-agent.SlackBuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/network/users-agent/users-agent.SlackBuild b/network/users-agent/users-agent.SlackBuild
new file mode 100644
index 0000000000..1b6f06f916
--- /dev/null
+++ b/network/users-agent/users-agent.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for users-agent
+
+# Copyright 2013 Christopher Walker Copperas Cove, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=users-agent
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+JUDUSR=${JUDUSR:-jabber}
+JUDGRP=${JUDGRP:-jabber}
+JUDUID=${JUDUID:-275}
+JUDGID=${JUDGID:-275}
+
+do_exit() {
+ echo ; echo "You must have the ${JUDUSR} user and ${JUDGRP} group in"
+ echo "order to build amanda. Sample lines to do so are below:"
+ echo "# groupadd -g ${JUDGID} ${JUDGRP}"
+ echo "# useradd -u ${JUDUID} -g ${JUDGRP} ${JUDUSR}"
+ echo "Exiting..." ; echo ; exit 1
+}
+
+# Check for Amanada user and group availability
+if ! getent group | grep -q ^${JUDGRP}: 2>/dev/null ; then
+ do_exit;
+elif ! getent passwd | grep -q ^${JUDUSR}: 2>/dev/null ; then
+ do_exit;
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/Users-Agent-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install -o root -g root -m 755 -T users-agent $PKG/usr/bin/users-agent
+
+mkdir -p $PKG/etc/{rc.d,users-agent}
+install -o root -g $JUDGRP -m 640 -T config.xml $PKG/etc/users-agent/config.xml.new
+sed -e "s/%JUDUSR%/$JUDUSR/g" $CWD/rc.users-agent >> $PKG/etc/rc.d/rc.users-agent.new
+
+mkdir -p $PKG/var/run/users-agent
+chown $JUDUSR.$JUDGRP $PKG/var/run/users-agent
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tools
+cp -a \
+ CHANGES INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ createDB $CWD/users-agent.vcard.patch \
+ $PKG/usr/doc/$PRGNAM-$VERSION/tools
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}